function e = sup_e(N)
% determine lower bound for the sup over e_N(lambda) for
% 0 <= lambda <= N
%
% Input:
% N: number of steps, see above
%
% Output:
% e: lower bound for the sup
%
% call:
% e = sup_e(10);

% stability function of the Radau-2-method
S = @(z) (1 + z/3) ./ (1 + (z/2 - 2) .* z/3);

% generate net for the sampling
lambda = linspace(0, N, 5000);

% find max
e = max( abs( S(lambda/N).^N - exp(lambda) ) );